Summary:	Allows to play and download videos from YouTube
Name:		smtube
Version:	17.5.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Video/Players
Url:		http://smplayer.sourceforge.net
Source0:	http://downloads.sourceforge.net/smplayer/%{name}-%{version}.tar.bz2

BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)

### do not hard require a specific media player as smtube supports a few others
Recommends:	smplayer	>= 0.7.1
Recommends:	uget
Recommends:	youtube-dl

%description
SMTube is an application that allows to browse, search and play YouTube
videos. Videos are played back with a media player (by default SMPlayer)
instead of a flash player, this allows better performance,
particularly with HD content. SMTube also allows to download the videos,
with the quality you choose. Several videos can be downloaded at a time.

SMTube is included in SMPlayer's menus, to run it just select Youtube browser
in the Options menu in the SMPlayer main window, or just press F11.

%prep
%setup -q

# fix wrong-file-end-of-line-encoding
sed -i 's/\r//' Release_notes.txt Readme.txt Copying.txt

%build
%setup_compile_flags
%make_build PREFIX=%{_prefix} QMAKE=%{_qt5_bindir}/qmake LRELEASE=%{_qt5_bindir}/lrelease

%install
%make_install PREFIX=%{_prefix}

%files
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}/


%changelog
* Thu Jun 01 2017 eatdirt <eatdirt> 17.5.0-1.mga6
+ Revision: 1105721
- Update to version 17.5.0

* Sat Feb 25 2017 daviddavid <daviddavid> 17.1.0-1.mga6
+ Revision: 1087804
- new version: 17.1.0

* Fri Sep 30 2016 daviddavid <daviddavid> 16.7.0-2.mga6
+ Revision: 1057801
- fix path should be "/usr/" and not "/usr/local/" (mga#19492)

* Sun Aug 14 2016 daviddavid <daviddavid> 16.7.0-1.mga6
+ Revision: 1046418
- new version: 16.7.0

* Fri Mar 04 2016 daviddavid <daviddavid> 16.3.0-1.mga6
+ Revision: 985461
- new version: 16.3.0

* Thu Jan 07 2016 daviddavid <daviddavid> 16.1.0-2.mga6
+ Revision: 920262
- do not hard require smplayer but recommend it instead (fixes mga#17457)
- recommend also youtube-dl and uget
- improve description

* Wed Jan 06 2016 daviddavid <daviddavid> 16.1.0-1.mga6
+ Revision: 919964
- new version: 16.1.0

* Fri Nov 27 2015 daviddavid <daviddavid> 15.11.0-1.mga6
+ Revision: 906452
- new version: 15.11.0

* Thu Nov 12 2015 daviddavid <daviddavid> 15.9.0-1.mga6
+ Revision: 902813
- new version: 15.9.0
- switch build to Qt5
- fix wrong-file-end-of-line-encoding

* Fri May 15 2015 juancho <juancho> 15.5.10-1.mga5
+ Revision: 822097
- Updated to 15.5.10
- Updated to 15.1.26

* Wed Oct 15 2014 umeabot <umeabot> 14.7.0-3.mga5
+ Revision: 744061
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 14.7.0-2.mga5
+ Revision: 689221
- Mageia 5 Mass Rebuild

* Fri Aug 15 2014 wally <wally> 14.7.0-1.mga5
+ Revision: 662569
- new version 14.7.0

* Sat Oct 19 2013 umeabot <umeabot> 1.7-2.mga4
+ Revision: 527587
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 juancho <juancho> 1.7-1.mga4
+ Revision: 441390
- New version 1.7

* Tue Jan 22 2013 fwang <fwang> 1.1-2.mga3
+ Revision: 391038
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 28 2012 obgr_seneca <obgr_seneca> 1.1-1.mga3
+ Revision: 248415
-new version 1.1

* Sun Mar 04 2012 juancho <juancho> 1.0-1.mga2
+ Revision: 217820
- imported package smtube

